%{?mingw_package_header}

%global pkgname fcgi

Name:           mingw-%{pkgname}
Version:        2.4.1
Release:        1%{?dist}
Summary:        MinGW Windows %{pkgname} library
BuildArch:      noarch

License:        OML
URL:            https://fastcgi-archives.github.io/
Source0:        https://github.com/FastCGI-Archives/fcgi2/archive/%{version}/%{name}-%{version}.tar.gz
Source1:        fcgi-autogen.sh

# Fix configure.in AC_INIT and AM_INIT, replace some obsolete macros
Patch0:         fcgi_configure.in.patch
# Fix CPPFLAGS -> AM_CPPFLAGS
Patch1:         fcgi_CPPFLAGS.patch
# Fix build with gcc >= 4.4
Patch2:         fcgi_build.patch
# Adapt for mingw
Patch3:         fcgi_mingw.patch


BuildRequires: autoconf automake libtool

BuildRequires: mingw32-filesystem >= 95
BuildRequires: mingw32-gcc-c++

BuildRequires: mingw64-filesystem >= 95
BuildRequires: mingw64-gcc-c++


%description
MinGW Windows %{pkgname} library.


%package -n mingw32-%{pkgname}
Summary:       MinGW Windows %{pkgname} library

%description -n mingw32-%{pkgname}
MinGW Windows %{pkgname} library.


%package -n mingw64-%{pkgname}
Summary:       MinGW Windows %{pkgname} library

%description -n mingw64-%{pkgname}
MinGW Windows %{pkgname} library.


%{?mingw_debug_package}


%prep
%autosetup -p1 -n %{pkgname}2-%{version}

autoreconf -ifv

# remove DOS End Of Line Encoding
sed -i 's/\r//' doc/fastcgi-prog-guide/ch2c.htm
# fix file permissions
chmod a-x include/fcgios.h libfcgi/os_unix.c


%build
%mingw_configure --disable-static
# does not build with parallel make flags
%mingw_make


%install
%mingw_make install DESTDIR=%{buildroot}

# Delete *.la files
find %{buildroot} -name '*.la' -exec rm -f {} ';'


%files -n mingw32-%{pkgname}
%license LICENSE.TERMS
%{mingw32_bindir}/cgi-fcgi.exe
%{mingw32_bindir}/libfcgi-0.dll
%{mingw32_bindir}/libfcgi++-0.dll
%{mingw32_libdir}/libfcgi.dll.a
%{mingw32_libdir}/libfcgi++.dll.a
%{mingw32_includedir}/*

%files -n mingw64-%{pkgname}
%license LICENSE.TERMS
%{mingw64_bindir}/cgi-fcgi.exe
%{mingw64_bindir}/libfcgi-0.dll
%{mingw64_bindir}/libfcgi++-0.dll
%{mingw64_libdir}/libfcgi.dll.a
%{mingw64_libdir}/libfcgi++.dll.a
%{mingw64_includedir}/*


%changelog
* Thu Aug 31 2017 Sandro Mani <manisandro@gmail.com> - 2.4.1-1
- Update to 2.4.1

* Wed Jun 24 2015 Sandro Mani <manisandro@gmail.com> - 2.4.0-1
- Initial package
